---
license: apache-2.0
language:
- en
base_model:
- Qwen/Qwen3-4B-Instruct-2507
library_name: transformers
---

# UMA-4B

Agentic RL fine-tuned model

## Usage

```python
from transformers import AutoTokenizer, AutoModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("dp66/UMA-4B")
model = AutoModelForCausalLM.from_pretrained("dp66/UMA-4B")
```

## Training Details

- Base Model: Qwen/Qwen3-4B-Instruct-2507